=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_shlibdeps:
	dh_shlibdeps $(foreach p,$(shell dh_listpackages -a | egrep ^lib.*[0-9]+$$),-p$p) -- -xlibkf5screen-bin
	dh_shlibdeps --remaining-packages

override_dh_strip:
	dh_strip --dbgsym-migration='libkscreen-dbg (<= 4:5.5.4-2~~)'

override_dh_auto_test:
	# Disable tests at build time
	:
