=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               libkf5wayland-dev (>= 4:5.54.0~) [linux-any],
+               extra-cmake-modules (>= 5.58.0~),
+               libkf5wayland-dev (>= 4:5.58.0~) [linux-any],
                libqt5x11extras5-dev (>= 5.9.0~),
                libx11-dev,
                libx11-xcb-dev,
