## libkscreen 5.18.3

=== debian/changelog ===
libkscreen (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:08:22 +0000

libkscreen (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:30:32 +0000

libkscreen (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:37:21 +0000

libkscreen (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:44:41 +0000

libkscreen (4:5.17.90.1-0ubuntu2) focal; urgency=medium

  * debian/tests: Remove no longer used testsuite.
  * debian/patches:
    + Drop no longer needed kubuntu_disable_failing_tests.patch
    + Keep Make-kwayland-optional.patch

 -- Rik Mills <rikmills@kde.org>  Sun, 02 Feb 2020 12:14:08 +0000

libkscreen (4:5.17.90.1-0ubuntu1) focal; urgency=medium

  * New upstream hotfix release (5.17.90.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 19:30:53 +0000

libkscreen (4:5.17.90-0ubuntu1) focal; urgency=medium

  * Update symbols from build logs.
  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:08:36 +0000

libkscreen (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:45:13 +0000

libkscreen (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:24:29 +0000

libkscreen (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:05:15 +0000

libkscreen (4:5.17.2-0ubuntu2) focal; urgency=medium

  * Disable testsuite. Does not even work upstream for KDE.

 -- Rik Mills <rikmills@kde.org>  Fri, 01 Nov 2019 05:40:08 +0000

libkscreen (4:5.17.2-0ubuntu1) focal; urgency=medium

  * Move qdebug categories file to new location.
  * New upstream (beta) release (5.16.90)
  * Update symbols from build logs.
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:50:30 +0000
