=== debian/changelog ===
libkscreen (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).
  * Update lintian overrides.

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:52 +0900

libkscreen (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

libkscreen (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update build-deps with the info from cmake.

  [ Scarlett Moore ]
  * Use pkg-kde-tools library-packages to generate
    strict local shlibs.
  * Add hardening rules for all.
  * Update make kwayland optional patch to include
    Forwarded: not-needed as Debian doesn't ship wayland
    with all arches.
  * Refresh upstream/metadata
    - Remove obsolete fields already defined in d/copyright.
    - Update repo info to kde.invent.org.
    - Add Bug* fields.
    - Update changelog to announcements page.
  * Tighten build and runtime Qt dependencies and allow for
    point releases.

  [ Pino Toscano ]
  * Recommend hwdata in libkf5screen7, as the library can use the pnp.ids file
    in hwdata to get the vendor name of screens.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:32 +0900

libkscreen (4:5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:23 +0900

libkscreen (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:41 +0900

libkscreen (4:5.19.5-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.19.5).

  [ Norbert Preining ]
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 13:49:47 +0900

libkscreen (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * Delete not needed Breaks/Confilcts.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update build-deps and deps according to info from cmake.
  * Update symbols file.
  * Update "Make kwayland optional" patch to current sources.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Aug 2020 22:44:41 +0200

libkscreen (4:5.17.5-3) unstable; urgency=medium

  * Team upload.
  * Update the patch Make-kwayland-optional.patch to the newest codebase.

 -- Pino Toscano <pino@debian.org>  Fri, 21 Feb 2020 07:50:03 +0100
